package com.goafanti.sc.service;



import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.sc.bo.ScAchievementListBo;
import com.goafanti.sc.bo.inputAchievement;

public interface ScAchievementService {

	int addAchievements(inputAchievement a);

	Pagination<ScAchievementListBo> listAchievement(String ownerName, String patentNumber, String name, Integer pageSize, Integer pageNo);

	int delectachievement(String id);

	int updateAchievement(inputAchievement a);

	inputAchievement AchievementDetails(String id);

	

	

}
